Package org.jCharts.properties

# Class Properties

java.lang.Object
org.jCharts.properties.Properties

All Implemented Interfaces:
  `Serializable`, `HTMLTestable`

Direct Known Subclasses:
  `AreaProperties`, `AxisProperties`, `AxisTypeProperties`

public abstract class Properties extends Object implements Serializable, HTMLTestable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private Paint`
`backgroundPaint`
`static final Paint`
`DEFAULT_BACKGROUND_PAINT`

## Constructor Summary

Constructors
Constructor
Description
`Properties()`

## Method Summary

Modifier and Type
Method
Description
`Paint`
`getBackgroundPaint()`
`void`
`setBackgroundPaint(Paint backgroundPaint)`
`void`
`toHTML(HTMLGenerator htmlGenerator)`
Enables the testing routines to display the contents of this Object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_BACKGROUND_PAINT

public static final Paint DEFAULT_BACKGROUND_PAINT

### backgroundPaint

private Paint backgroundPaint

## Constructor Details

### Properties

public Properties()

## Method Details

### setBackgroundPaint

public void setBackgroundPaint(Paint backgroundPaint)

Parameters:
  `backgroundPaint` -

### getBackgroundPaint

public Paint getBackgroundPaint()

Returns:
  Paint

### toHTML

public void toHTML(HTMLGenerator htmlGenerator)
Enables the testing routines to display the contents of this Object.

Specified by:
  `toHTML` in interface `HTMLTestable`
Parameters:
  `htmlGenerator` -